%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	An SQLite extension that provides 256 bit AES encryption of database files
Name:		sqlcipher
Version:	3.3.1
Release:	2
License:	BSD
Group:		System/Libraries
Url:		https://www.zetetic.net/sqlcipher/
Source0:	https://github.com/sqlcipher/sqlcipher/archive/v%{version}.tar.gz
BuildRequires:	tcl
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(openssl)

%description
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

%files
%{_bindir}/%{name}

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	An SQLite extension that provides 256 bit AES encryption of database files
Group:		System/Libraries

%description -n %{libname}
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

This package contains the shared libraries for %{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

This package contains development files.

%files -n %{devname}
%doc CHANGELOG.md README.md LICENSE
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="%{optflags} -DSQLITE_HAS_CODEC"
autoreconf -fiv
%configure \
	--disable-static \
	--disable-tcl \
	--enable-tempstore=yes
%make

%install
%makeinstall_std


%changelog

* Tue Feb 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.3.1-2
- (f168dd9) Build requires tcl


